LPPOM HALAL bugs - Bug #255

[Finance] Validasi Dokumen Transaksi
04/01/2021 10:34 AM - Kezia Pawitra Yulianti

Status: Closed Start date: 04/01/2021
Priority: Urgent Due date: 04/15/2021
Assignee: Tri Rizqiaty % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear Yomma,

Mohon dibuatkan validasi sbb:

1. Jika status sudah posting dan park, hanya boleh merubah ke cancel dan isi tabel posting hilang.

2. Ga boleh kosongin item pada saat save kalo statusny posting, kalo draft boleh

3. Coba delete doc posting, cek tabel posting ke delete atau tidak ---- batal tidak ada tombol delete

4. Merubah period/posting date diheader, tp item & posting tidak otomatis berubah periodnya, fixingny : harus dibuat otomatis atau
validasi tidak boleh merubah period jika status post ?

5. Jika langsung add item, cek status & posting date, jika status draft field posting date boleh kosong, jika status post field posting
date harus terisi

6. Pada saat saving dan item kosong maka merubah status diheader menjadi cancel, jika statusnya awalnya post

Thanks

History

#1 - 04/06/2021 04:54 PM - Tri Rizqiaty

- Status changed from Assigned to Developing

#2 - 04/07/2021 02:03 PM - Tri Rizqiaty
- Status changed from Developing to QA Test

- Assignee changed from Tri Rizqgiaty to Kezia Pawitra Yulianti

#3 - 04/07/2021 04:21 PM - Kezia Pawitra Yulianti
- Status changed from QA Test to Revise

- Assignee changed from Kezia Pawitra Yulianti to Tri Rizqiaty

Berikut Yoms hasil testingnya,
ada bbrp tambahan skenario yg baru ditemukan.
Tks

Mohon dibuatkan validasi sbb:

1. Jika status sudah posting dan park, hanya boleh merubah ke cancel dan isi tabel posting hilang. - done

2. Ga boleh kosongin item pada saat save kalo statusny posting, kalo draft boleh - done

3. Coba delete doc posting, cek tabel posting ke delete atau tidak ---- batal tidak ada tombol delete

4. Merubah period/posting date diheader, tp item & posting tidak otomatis berubah periodnya, fixingny : harus dibuat otomatis atau validasi tidak
boleh merubah period jika status post ? - done

5. Jika langsung add item, cek status & posting date, jika status draft field posting date boleh kosong, jika status post field posting date harus terisi -
done, solusi: tidak bisa add item jika belum isi posting date, jika Igs edit dan add item tanpa isi posting date maka dokumen tidak bisa tercreate

6. Pada saat saving dan item kosong maka merubah status diheader menjadi cancel, jika statusnya awalnya post - belum bisa (ref doc no 00013668)
krn saat ini item di delete dgn status sudah post hasilnya post hilang dan item hilang namun di header msh status post

7. Saat merubah posting date di header dgn status draft, fiscall year/period di item belum berubah

8. jika create doc dgn status awal bulan 3 dg status draft, namun saat posting menjadi bulan 4 maka di item dan posting fiscal year dan period
berbeda dgn header yaitu bulan 4 (ref doc no 00013669)

#4 - 04/08/2021 04:59 PM - Tri Rizqiaty
- Status changed from Revise to QA Test

- Assignee changed from Tri Rizqiaty to Kezia Pawitra Yulianti

#5 - 04/08/2021 05:02 PM - Tri Rizqiaty
Fixing :

1. penambahan sdatatablefield, sdatatable, sdatasource, storeprocedure : PDSFILODELETEDATATABLEPOST,
PDSFILOUPDATEPERIODFINANCEITEM

2. perubahan dll, MinovalS.Implementation.Data.FILO.Logging

3. perubahan Ul, app controller, filo = document.js

#6 - 04/14/2021 09:24 AM - Kezia Pawitra Yulianti
- Due date changed from 04/07/2021 to 04/15/2021
- Status changed from QA Test to Revise

- Assignee changed from Kezia Pawitra Yulianti to Tri Rizqiaty

Berikut ya hasil testing nya

1. Jika status sudah posting dan park, hanya boleh merubah ke cancel dan isi tabel posting hilang. - sekarang jd bisa merubah menjadi draft after
sudah post (ref doc no 00013682) padahal sebelumnya sudah muncul validasinya, tabel posting msh terisi dgn item dgn status post

2. Ga boleh kosongin item pada saat save kalo statusny posting, kalo draft boleh - done

3. Coba delete doc posting, cek tabel posting ke delete atau tidak ---- batal tidak ada tombol delete

4. Merubah period/posting date diheader, tp item & posting tidak otomatis berubah periodnya, fixingny : harus dibuat otomatis atau validasi tidak
boleh merubah period jika status post ? - done

5. Jika langsung add item, cek status & posting date, jika status draft field posting date boleh kosong, jika status post field posting date harus terisi -
done, solusi: tidak bisa add item jika belum isi posting date, jika Igs edit dan add item tanpa isi posting date maka dokumen tidak bisa tercreate

6. Pada saat saving dan item kosong maka merubah status diheader menjadi cancel, jika statusnya awalnya post - belum bisa (ref doc no
00013681) krn saat ini item di delete dgn status sudah post hasilnya post hilang dan item hilang namun di header msh status post

7. Saat merubah posting date di header dgn status draft, fiscall year/period di item belum berubah - done

8. jika create doc dgn status awal bulan 3 dg status draft, namun saat posting menjadi bulan 4 maka di item dan posting fiscal year dan period
berbeda dgn header yaitu bulan 4 (ref doc no 00013669) - masih belum bisa (ref doc no 00013680)

Mohon perbaikannya yoms, ada bbrp yg tdnya udah done jadi gak jalan Ig validasi2 nya
Tks
#7 - 04/15/2021 03:50 PM - Tri Rizqiaty

- Status changed from Revise to QA Test

- Assignee changed from Tri Rizqgiaty to Kezia Pawitra Yulianti

Mba yaya,

Fixing Ul : document.js

1. Done

6. Done

8. Pas test, field fiscal year & fiscal period jangan ditampilin di grid item, jadi rubah period langsung save, nnti ceknya ditable ya.
Thanks.

#8 - 04/15/2021 04:38 PM - Kezia Pawitra Yulianti

- File clipboard-202104151636-dvkix.png added

- File clipboard-202104151636-uobq9.png added

- Status changed from QA Test to Revise

- Assignee changed from Kezia Pawitra Yulianti to Tri Rizqiaty

Berikut hasil test nya:

1. Done - msh bisa ngerubah jd draft (ref doc no 00013689)
6. Done - masih bisa delete item dgn status post dan status msh tetep post (belum jd cancel)

item dan posting awalnya ada
SERVERTMSOLSE.TR CONTROLLOG SERVER7TM\SOLSER...0.PTRAILOPOSTING > Rl COLSER..0.PTRFINANCEITEM ERV] L..PTRFINANCEH

Column Alias Table Outp... Sort Type Sort Order Filter Or..
» DocMo PTRFILOP... = '00013689 = '00013690'
DeocltenlID PTRFILOP...
DocType PTRFILOP...
DocDate PTRFILOP...
DocStatus PTRFILOP...
FiscalYear PTRFILOP...

SELECT TOP (200) DocMNo, DocltemID, DocType, DocDate, DocStatus, FiscalYear, FiscalPeriod, CompanylD, BusinesslUnit, CostCenter, SLType, 5LID, PostingDate, GLAccount!
AmountDebetCompCurr, AmountCreditCompCurr, CreateBy, CreateDate, ChangeBy, ChangeDate, CompanyCurrency, ltem5tatus

FROM PTRFILOPOSTING

WHERE (DocMo = '000136837 OR
(DocMo = 000136907 OR
(DocNeo = '000136917)

£
DocMo DocltemID DocType DocDate DocStatus FiscalYear FiscalPeriod CompanylD BusinessUnit
» 00013689 1 IP 20210415 9 2021 04 1000
00013690 1 IP 20210415 ] 2021 03 1000
00013691 1 P 20210415 ] 2021 04 1000
* NULL MULL NULL NULL MNULL MULL NULL NULL NULL

masih post, padahal item sudah di delete

N1

ONTROLLOG SERVI L...0.PTRFILOPOSTING SER \SQLSER...0.PTRFINANCEITEM SERVERTTM\SQLSER....PTRFINANCEHEAD X-

Column Alias Table Cutp... Sort Type Sort Order Filter Or.. Or.. ]
» DocMo PTRFINA... = '00013689 = "00013690"

DocType PTRFIMA...

DocTypeTo PTRFINA...

DocDate PTRFINA...

DocStatus PTRFINA..,

Description PTRFIMA...

L]

SELECT DocMo, DocType, DocTypeTo, DocDate, DocStatus, Description, FiscalYear, FiscalPeriod, FiscalPeriodYear, CompanylD, IntDocRef, ExtDocRef, BusinessUnit, PostingDate, Curency, CreateBy, Create
ChangeBy, ChangeDate, CustomerlD, VendorlD, TotalDebet, TotalCredit, InveiceMumber, FakturMumber, VendorlnvoiceMNumber, IntDocTrType, Regular, CashPlan, StartDate, EndDate, RegularD
RefStatus, TransTypeRef, DocTypeRef, DoclDRef, DoclternRef, ProcessiD, ExternallD, CostCenter, TotinvoiceRef, BalanceRef, DueDate, Abbreviation, TotAmoPurc, CustPONumber, FakturFlag
QFROM PTRFINAMNCEHEAD
WHERE (DocMeo = '00013683") OR
(DocMo = '00013690") OR
(DocMeo = '00013681")

]

£

DocMo DocType DocTypeTo DocDate DocStatus Description FiscalYear FiscalPeriod FiscalPeriodYear CompanylD IntDock
3 m P NULL 20210415 1 2021 04 04-2021 1000

00013691 IP NULL 20210415 9 2021 04 04-2021 1000

00013690 P NULL 20210415 9 2021 04 04-2021 1000
. NULL NULL NULL NULL NULL NULL MNULL NULL NULL NULL NULL

8. Pas test, field fiscal year & fiscal period jangan ditampilin di grid item, jadi rubah period langsung save, nnti ceknya ditable ya - item dan posting
msh gak berubah, hanya header saja (ref doc no 00013690)

Thanks
#9 - 04/16/2021 09:34 AM - Kezia Pawitra Yulianti
berikut yg belum solve:

1. Draft bulan 3 dan post bulan 4 masih belum berubah fiscal di item dan posting
2. saat delete item, status di finance header belum berubah menjadi cancel

Mohon perbaikannya

Tks
#10 - 04/19/2021 01:06 PM - Tri Rizqgiaty
- Status changed from Revise to QA Test

- Assignee changed from Tri Rizqgiaty to Kezia Pawitra Yulianti

Fixing :

1. Penambahan SP, SDATATABLE, SDATATABLEFIELD, SDATASOURCE : PDSFILOUPDATEPERIODPOSTING

2. Update Ul : Controller, document.js
3. Update dll : MinovalS.Implementation.Data.FILO.Logging.dll

#11 - 04/21/2021 09:22 AM - Kezia Pawitra Yulianti

- Status changed from QA Test to Deploy

- Assignee changed from Kezia Pawitra Yulianti to Tri Rizgiaty
Solve ya

1. Draft bulan 3 dan post bulan 4 masih belum berubah fiscal di item dan posting - done
2. saat delete item, status di finance header belum berubah menjadi cancel - done

Thanks ya

#12 - 05/21/2021 04:08 PM - Tri Rizqiaty
- File Deploy LPPOM 20210521.zip added

Berikut fixing untuk validasi finance document, period control & logging period :

1. Copy Paste parameter di file excel ke tabel masing

2. Copy Paste dll (terkirim via whatsapp) sesuai ke API1 & API2, jangan lupa back up terlebih dahulu
3. Copy Paset file Ul js (terkirim via whatsapp), sesuai folder, jangan lupa back up terlebih dahulu

4. Execute SP/Query terlampir, jangan lupa back up terlebih dahulu

#13 - 04/11/2022 04:50 PM - Mr. Yusuf
- Status changed from Deploy to Closed

Files

clipboard-202104151636-dvkfx.png 53.8 KB 04/15/2021
clipboard-202104151636-uobg9.png 61.7 KB 04/15/2021
Deploy LPPOM 20210521.zip 135 KB 05/21/2021
Kezia Pawitra Yulianti
